[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Orgmode] Unable to export babel results

From: Nick Dokos
Subject: Re: [Orgmode] Unable to export babel results
Date: Tue, 19 Oct 2010 14:24:48 -0400

Eric Schulte <address@hidden> wrote:

> Suvayu Ali <address@hidden> writes:
> >
> > On restarting Emacs and calling org-version, I get "Org-mode version
> > 7.01trans". There shouldn't be any mixed files after all this. The
> > problem still persists. Does that mean I am doing the installation
> > wrong?
> >
> Yes, I believe that until you see the parenthesized portion of the
> org-version string you are still not loading the latest version (from
> git head).

Not necessarily: the info inside the parens is generated through a git
command that makes an assumption about where the git directory is relative
to the lisp directory. If the assumption is violated, then the git command
fails and the extra info is not generated, despite having the latest org
version installed.

The assumption is that the following expression evaluates to the
git directory itself (the directory that contains the .git subdirectory):

         (concat (file-name-directory (locate-library "org")) "../" )

In particular if you install the whole org lisp directory into the emacs
site-lisp directory, the assumption is violated.

>  It might be worth installing outside of the emacs directory
> and following the following instructions for activation
> http://orgmode.org/guide/Installation.html#Installation

I think this way avoids most of the problems: it allows one to customize
load-path and be *sure* that the correct org-version gets loaded and it
does eliminate the problem above.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]